/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package awt;

/**
 *
 * @author Kuba
 */
import java.awt.*;
import java.awt.event.*;

public class Okno01 extends java.awt.Frame {

    // konstruktor vyrobi okno
    public Okno01() {
        // nastaveni nazvu okna
        super.setTitle("Pokusne okno");

        // volba layoutu - Flow, Grid, GridBag atp.
        setLayout( new FlowLayout() );

        // velikost okna - vyska, sirka v pixelech
        setSize(400, 200);

        // listener umoznujici zavreni okna (jako anonymni vnitrni trida)
        // tady je nutne implementovat vsechny metody, je jich tam nekolik!!!
        addWindowListener(new WindowListener() {
            //  Invoked when the user attempts to close the window from the window's system menu.
            public void windowClosing(WindowEvent e) {
                System.out.println("Zaviram okno");
//                System.exit(0);
            }
//          Invoked when the Window is set to be the active Window.
            public void windowActivated(WindowEvent e){
                System.out.println("Aktivuji okno");
            }
            // Invoked when a window has been closed as the result of calling dispose on the window.
            public void	windowClosed(WindowEvent e){
                System.out.println("Okno zavreno");
            }
            // Invoked when a Window is no longer the active Window.
            public void windowDeactivated(WindowEvent e){
                System.out.println("Deaktivuji okno");
            }
            // Invoked when a window is changed from a minimized to a normal state.
            public void windowDeiconified(WindowEvent e){
                System.out.println("Okno zvetseno z ikony do normalni velikosti");
            }
            // Invoked when a window is changed from a normal to a minimized state.
            public void windowIconified(WindowEvent e){
                System.out.println("Okno zmenseno na ikonu");
            }
            // Invoked the first time a window is made visible.
            public void windowOpened(WindowEvent e){
                System.out.println("Okno poprve zviditelneno");
            }
        });

        // zobrazeni okna - muzeme osetrit v konstruktoru
        setVisible(true);
    }

    public static void main(String[] args) {
        // nova instance okna
        new Okno01();
        // zobrazeni okna muzeme osetrit i tady
        //new Okno01().setVisible(true);
    }
}