/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package awt;
import java.awt.*;
import java.awt.event.*;

/**
 * Ukazka zobrazeni okna ve tride, ktera neni potomkem Frame
 *
 * @author Tomas Kadlec
 * @date 24. 4. 2007
 */
public class NedediFrame2 {
    Frame okno;
    Button tlac;
    Label popisek;

    /**
     * vyrobeni a zobrazeni hned v konstruktoru (samozrejme to muze byt kdekoliv jinde)
     * @param o existujici instance tridy Frame
     */
    public NedediFrame2(Frame o) {
        // ulozime si referenci na okno a podle toho s nim pracujeme
        okno = o;

        // nastaveni nazvu okna
        okno.setTitle("Nazev okna");

        // volba layoutu
        okno.setLayout( new FlowLayout() );

        // pridani tlacitka
        tlac = new Button("Ahoj");
        okno.add(tlac);

        // pridani popisku
        popisek = new Label("Nazdar");
        okno.add(popisek);

        // velikost okna
        okno.setSize(200, 100);

        // listener umoznujici zavreni okna
        okno.addWindowListener(new WindowListener() {
            public void windowActivated(WindowEvent e) {
            }
            public void windowClosed(WindowEvent e) {
            }
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
            public void windowDeactivated(WindowEvent e) {
            }
            public void windowDeiconified(WindowEvent e) {
            }
            public void windowIconified(WindowEvent e) {
            }
            public void windowOpened(WindowEvent e) {
            }
        });

        // zobrazeni okna
        okno.setVisible(true);
    }

    public static void main(String[] args) {
        // musime nejak vytvorit novou instanci Frame - staci nam anonymni
        new NedediFrame2(new Frame());
    }
}
